/*! For license information please see 6442.e1853b46.js.LICENSE.txt */
(self.webpackChunk=self.webpackChunk||[]).push([["6442"],{10931:function(t,s,n){"use strict";n.r(s);var d=n("80681");let a=["innerHTML"];s.default={setup:()=>({html:""}),render:()=>((0,d.wg)(),(0,d.iD)("div",{class:"van-doc-markdown-body",innerHTML:'<h1>AddressList</h1>\n<div class="van-doc-card"><h3 id="intro" tabindex="-1">Intro</h3>\n<p>Display a list of receiving addresses.</p>\n</div><div class="van-doc-card"><h3 id="install" tabindex="-1">Install</h3>\n<p>Register component globally via <code>app.use</code>, refer to <a href="#/en-US/advanced-usage#zu-jian-zhu-ce" target="_blank">Component Registration</a> for more registration ways.</p>\n<pre><code class="language-js"><span class="hljs-keyword">import</span> { createApp } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;vue&#x27;</span>;\n<span class="hljs-keyword">import</span> { <span class="hljs-title class_">AddressList</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;vant&#x27;</span>;\n\n<span class="hljs-keyword">const</span> app = <span class="hljs-title function_">createApp</span>();\napp.<span class="hljs-title function_">use</span>(<span class="hljs-title class_">AddressList</span>);\n</code></pre>\n</div><h2 id="usage" tabindex="-1">Usage</h2>\n<div class="van-doc-card"><h3 id="basic-usage" tabindex="-1">Basic Usage</h3>\n<pre><code class="language-html"><span class="hljs-tag">&lt;<span class="hljs-name">van-address-list</span>\n  <span class="hljs-attr">v-model</span>=<span class="hljs-string">&quot;chosenAddressId&quot;</span>\n  <span class="hljs-attr">:list</span>=<span class="hljs-string">&quot;list&quot;</span>\n  <span class="hljs-attr">:disabled-list</span>=<span class="hljs-string">&quot;disabledList&quot;</span>\n  <span class="hljs-attr">disabled-text</span>=<span class="hljs-string">&quot;The following address is out of range&quot;</span>\n  <span class="hljs-attr">default-tag-text</span>=<span class="hljs-string">&quot;Default&quot;</span>\n  @<span class="hljs-attr">add</span>=<span class="hljs-string">&quot;onAdd&quot;</span>\n  @<span class="hljs-attr">edit</span>=<span class="hljs-string">&quot;onEdit&quot;</span>\n/&gt;</span>\n</code></pre>\n<pre><code class="language-js"><span class="hljs-keyword">import</span> { ref } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;vue&#x27;</span>;\n<span class="hljs-keyword">import</span> { showToast } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;vant&#x27;</span>;\n\n<span class="hljs-keyword">export</span> <span class="hljs-keyword">default</span> {\n  <span class="hljs-title function_">setup</span>(<span class="hljs-params"></span>) {\n    <span class="hljs-keyword">const</span> chosenAddressId = <span class="hljs-title function_">ref</span>(<span class="hljs-string">&#x27;1&#x27;</span>);\n    <span class="hljs-keyword">const</span> list = [\n      {\n        <span class="hljs-attr">id</span>: <span class="hljs-string">&#x27;1&#x27;</span>,\n        <span class="hljs-attr">name</span>: <span class="hljs-string">&#x27;John Snow&#x27;</span>,\n        <span class="hljs-attr">tel</span>: <span class="hljs-string">&#x27;13000000000&#x27;</span>,\n        <span class="hljs-attr">address</span>: <span class="hljs-string">&#x27;Somewhere&#x27;</span>,\n        <span class="hljs-attr">isDefault</span>: <span class="hljs-literal">true</span>,\n      },\n      {\n        <span class="hljs-attr">id</span>: <span class="hljs-string">&#x27;2&#x27;</span>,\n        <span class="hljs-attr">name</span>: <span class="hljs-string">&#x27;Ned Stark&#x27;</span>,\n        <span class="hljs-attr">tel</span>: <span class="hljs-string">&#x27;1310000000&#x27;</span>,\n        <span class="hljs-attr">address</span>: <span class="hljs-string">&#x27;Somewhere&#x27;</span>,\n      },\n    ];\n    <span class="hljs-keyword">const</span> disabledList = [\n      {\n        <span class="hljs-attr">id</span>: <span class="hljs-string">&#x27;3&#x27;</span>,\n        <span class="hljs-attr">name</span>: <span class="hljs-string">&#x27;Tywin&#x27;</span>,\n        <span class="hljs-attr">tel</span>: <span class="hljs-string">&#x27;1320000000&#x27;</span>,\n        <span class="hljs-attr">address</span>: <span class="hljs-string">&#x27;Somewhere&#x27;</span>,\n      },\n    ];\n\n    <span class="hljs-keyword">const</span> <span class="hljs-title function_">onAdd</span> = (<span class="hljs-params"></span>) =&gt; <span class="hljs-title function_">showToast</span>(<span class="hljs-string">&#x27;Add&#x27;</span>);\n    <span class="hljs-keyword">const</span> <span class="hljs-title function_">onEdit</span> = (<span class="hljs-params">item, index</span>) =&gt; <span class="hljs-title function_">showToast</span>(<span class="hljs-string">&#x27;Edit:&#x27;</span> + index);\n\n    <span class="hljs-keyword">return</span> {\n      list,\n      onAdd,\n      onEdit,\n      disabledList,\n      chosenAddressId,\n    };\n  },\n};\n</code></pre>\n</div><h2 id="api" tabindex="-1">API</h2>\n<div class="van-doc-card"><h3 id="props" tabindex="-1">Props</h3>\n<table>\n<thead>\n<tr>\n<th>Attribute</th>\n<th>Description</th>\n<th>Type</th>\n<th>Default</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>v-model</td>\n<td>Id of chosen address</td>\n<td><em>number | string</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>list</td>\n<td>Address list</td>\n<td><em>Address[]</em></td>\n<td><code>[]</code></td>\n</tr>\n<tr>\n<td>disabled-list</td>\n<td>Disabled address list</td>\n<td><em>Address[]</em></td>\n<td><code>[]</code></td>\n</tr>\n<tr>\n<td>disabled-text</td>\n<td>Disabled text</td>\n<td><em>string</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>switchable</td>\n<td>Whether to allow switch address</td>\n<td><em>boolean</em></td>\n<td><code>true</code></td>\n</tr>\n<tr>\n<td>show-add-button</td>\n<td>Whether to show add button</td>\n<td><em>boolean</em></td>\n<td><code>true</code></td>\n</tr>\n<tr>\n<td>add-button-text</td>\n<td>Add button text</td>\n<td><em>string</em></td>\n<td><code>Add new address</code></td>\n</tr>\n<tr>\n<td>default-tag-text</td>\n<td>Default tag text</td>\n<td><em>string</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>right-icon <code>v4.5.0</code></td>\n<td>Right Icon</td>\n<td><em>string</em></td>\n<td><code>edit</code></td>\n</tr>\n</tbody>\n</table>\n</div><div class="van-doc-card"><h3 id="events" tabindex="-1">Events</h3>\n<table>\n<thead>\n<tr>\n<th>Event</th>\n<th>Description</th>\n<th>Arguments</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>add</td>\n<td>Emitted when the add button is clicked</td>\n<td>-</td>\n</tr>\n<tr>\n<td>edit</td>\n<td>Emitted when the edit icon of address is clicked</td>\n<td><em>item: Address, index: number</em></td>\n</tr>\n<tr>\n<td>select</td>\n<td>Emitted when an address is selected</td>\n<td><em>item: Address, index: number</em></td>\n</tr>\n<tr>\n<td>edit-disabled</td>\n<td>Emitted when the edit icon of disabled address is clicked</td>\n<td><em>item: Address, index: number</em></td>\n</tr>\n<tr>\n<td>select-disabled</td>\n<td>Emitted when a disabled address is selected</td>\n<td><em>item: Address, index: number</em></td>\n</tr>\n<tr>\n<td>click-item</td>\n<td>Emitted when an address item is clicked</td>\n<td><em>item: Address, index: number, { event }</em></td>\n</tr>\n</tbody>\n</table>\n</div><div class="van-doc-card"><h3 id="data-structure-of-address" tabindex="-1">Data Structure of Address</h3>\n<table>\n<thead>\n<tr>\n<th>Key</th>\n<th>Description</th>\n<th>Type</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>id</td>\n<td>Id</td>\n<td><em>number | string</em></td>\n</tr>\n<tr>\n<td>name</td>\n<td>Name</td>\n<td><em>string</em></td>\n</tr>\n<tr>\n<td>tel</td>\n<td>Phone</td>\n<td><em>number | string</em></td>\n</tr>\n<tr>\n<td>address</td>\n<td>Address</td>\n<td><em>string</em></td>\n</tr>\n<tr>\n<td>isDefault</td>\n<td>Is default address</td>\n<td><em>boolean</em></td>\n</tr>\n</tbody>\n</table>\n</div><div class="van-doc-card"><h3 id="slots" tabindex="-1">Slots</h3>\n<table>\n<thead>\n<tr>\n<th>Name</th>\n<th>Description</th>\n<th>SlotProps</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>default</td>\n<td>Custom content after list</td>\n<td>-</td>\n</tr>\n<tr>\n<td>top</td>\n<td>Custom content before list</td>\n<td>-</td>\n</tr>\n<tr>\n<td>item-bottom</td>\n<td>Custom content after list item</td>\n<td><em>item: Address</em></td>\n</tr>\n<tr>\n<td>tag</td>\n<td>Custom tag of list item</td>\n<td><em>item: Address</em></td>\n</tr>\n</tbody>\n</table>\n</div><div class="van-doc-card"><h3 id="types" tabindex="-1">Types</h3>\n<p>The component exports the following type definitions:</p>\n<pre><code class="language-ts"><span class="hljs-keyword">import</span> <span class="hljs-keyword">type</span> { <span class="hljs-title class_">AddressListProps</span>, <span class="hljs-title class_">AddressListAddress</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;vant&#x27;</span>;\n</code></pre>\n</div><h2 id="theming" tabindex="-1">Theming</h2>\n<div class="van-doc-card"><h3 id="css-variables" tabindex="-1">CSS Variables</h3>\n<p>The component provides the following CSS variables, which can be used to customize styles. Please refer to <a href="#/en-US/config-provider" target="_blank">ConfigProvider component</a>.</p>\n<table>\n<thead>\n<tr>\n<th>Name</th>\n<th>Default Value</th>\n<th>Description</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>--van-address-list-padding</td>\n<td><em>var(--van-padding-sm) var(--van-padding-sm) 80px</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-address-list-disabled-text-color</td>\n<td><em>var(--van-text-color-2)</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-address-list-disabled-text-padding</td>\n<td><em>var(--van-padding-base) * 5 0 var(--van-padding-md)</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-address-list-disabled-text-font-size</td>\n<td><em>var(--van-font-size-md)</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-address-list-disabled-text-line-height</td>\n<td><em>var(--van-line-height-md)</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-address-list-add-button-z-index</td>\n<td><em>999</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-address-list-item-padding</td>\n<td><em>var(--van-padding-sm)</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-address-list-item-text-color</td>\n<td><em>var(--van-text-color)</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-address-list-item-disabled-text-color</td>\n<td><em>var(--van-text-color-3)</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-address-list-item-font-size</td>\n<td><em>13px</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-address-list-item-line-height</td>\n<td><em>var(--van-line-height-sm)</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-address-list-radio-color</td>\n<td><em>var(--van-primary-color)</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-address-list-edit-icon-size</td>\n<td><em>20px</em></td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n</div>'},null,8,a))}}}]);