/*! For license information please see 8300.53f70ac3.js.LICENSE.txt */
(self.webpackChunk=self.webpackChunk||[]).push([["8300"],{33117:function(s,n,a){"use strict";a.r(n);var t=a("80681");let e=["innerHTML"];n.default={setup:()=>({html:""}),render:()=>((0,t.wg)(),(0,t.iD)("div",{class:"van-doc-markdown-body",innerHTML:'<h1>TreeSelect</h1>\n<div class="van-doc-card"><h3 id="intro" tabindex="-1">Intro</h3>\n<p>Used to select from a set of related data sets.</p>\n</div><div class="van-doc-card"><h3 id="install" tabindex="-1">Install</h3>\n<p>Register component globally via <code>app.use</code>, refer to <a href="#/en-US/advanced-usage#zu-jian-zhu-ce" target="_blank">Component Registration</a> for more registration ways.</p>\n<pre><code class="language-js"><span class="hljs-keyword">import</span> { createApp } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;vue&#x27;</span>;\n<span class="hljs-keyword">import</span> { <span class="hljs-title class_">TreeSelect</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;vant&#x27;</span>;\n\n<span class="hljs-keyword">const</span> app = <span class="hljs-title function_">createApp</span>();\napp.<span class="hljs-title function_">use</span>(<span class="hljs-title class_">TreeSelect</span>);\n</code></pre>\n</div><h2 id="usage" tabindex="-1">Usage</h2>\n<div class="van-doc-card"><h3 id="radio-mode" tabindex="-1">Radio Mode</h3>\n<pre><code class="language-html"><span class="hljs-tag">&lt;<span class="hljs-name">van-tree-select</span>\n  <span class="hljs-attr">v-model:active-id</span>=<span class="hljs-string">&quot;activeId&quot;</span>\n  <span class="hljs-attr">v-model:main-active-index</span>=<span class="hljs-string">&quot;activeIndex&quot;</span>\n  <span class="hljs-attr">:items</span>=<span class="hljs-string">&quot;items&quot;</span>\n/&gt;</span>\n</code></pre>\n<pre><code class="language-js"><span class="hljs-keyword">import</span> { ref } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;vue&#x27;</span>;\n\n<span class="hljs-keyword">export</span> <span class="hljs-keyword">default</span> {\n  <span class="hljs-title function_">setup</span>(<span class="hljs-params"></span>) {\n    <span class="hljs-keyword">const</span> activeId = <span class="hljs-title function_">ref</span>(<span class="hljs-number">1</span>);\n    <span class="hljs-keyword">const</span> activeIndex = <span class="hljs-title function_">ref</span>(<span class="hljs-number">0</span>);\n    <span class="hljs-keyword">const</span> items = [\n      {\n        <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Group 1&#x27;</span>,\n        <span class="hljs-attr">children</span>: [\n          { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Delaware&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">1</span> },\n          { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Florida&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">2</span> },\n          { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Georgia&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">3</span>, <span class="hljs-attr">disabled</span>: <span class="hljs-literal">true</span> },\n        ],\n      },\n      {\n        <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Group 2&#x27;</span>,\n        <span class="hljs-attr">children</span>: [\n          { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Alabama&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">4</span> },\n          { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Kansas&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">5</span> },\n          { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Louisiana&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">6</span> },\n        ],\n      },\n      { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Group 3&#x27;</span>, <span class="hljs-attr">disabled</span>: <span class="hljs-literal">true</span> },\n    ];\n\n    <span class="hljs-keyword">return</span> {\n      items,\n      activeId,\n      activeIndex,\n    };\n  },\n};\n</code></pre>\n</div><div class="van-doc-card"><h3 id="multiple-mode" tabindex="-1">Multiple Mode</h3>\n<pre><code class="language-html"><span class="hljs-tag">&lt;<span class="hljs-name">van-tree-select</span>\n  <span class="hljs-attr">v-model:active-id</span>=<span class="hljs-string">&quot;activeIds&quot;</span>\n  <span class="hljs-attr">v-model:main-active-index</span>=<span class="hljs-string">&quot;activeIndex&quot;</span>\n  <span class="hljs-attr">:items</span>=<span class="hljs-string">&quot;items&quot;</span>\n/&gt;</span>\n</code></pre>\n<pre><code class="language-js"><span class="hljs-keyword">import</span> { ref } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;vue&#x27;</span>;\n\n<span class="hljs-keyword">export</span> <span class="hljs-keyword">default</span> {\n  <span class="hljs-title function_">setup</span>(<span class="hljs-params"></span>) {\n    <span class="hljs-keyword">const</span> activeIds = <span class="hljs-title function_">ref</span>([<span class="hljs-number">1</span>, <span class="hljs-number">2</span>]);\n    <span class="hljs-keyword">const</span> activeIndex = <span class="hljs-title function_">ref</span>(<span class="hljs-number">0</span>);\n    <span class="hljs-keyword">const</span> items = [\n      {\n        <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Group 1&#x27;</span>,\n        <span class="hljs-attr">children</span>: [\n          { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Delaware&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">1</span> },\n          { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Florida&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">2</span> },\n          { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Georgia&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">3</span>, <span class="hljs-attr">disabled</span>: <span class="hljs-literal">true</span> },\n        ],\n      },\n      {\n        <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Group 2&#x27;</span>,\n        <span class="hljs-attr">children</span>: [\n          { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Alabama&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">4</span> },\n          { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Kansas&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">5</span> },\n          { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Louisiana&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">6</span> },\n        ],\n      },\n      { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Group 3&#x27;</span>, <span class="hljs-attr">disabled</span>: <span class="hljs-literal">true</span> },\n    ];\n\n    <span class="hljs-keyword">return</span> {\n      items,\n      activeIds,\n      activeIndex,\n    };\n  },\n};\n</code></pre>\n</div><div class="van-doc-card"><h3 id="custom-content" tabindex="-1">Custom Content</h3>\n<pre><code class="language-html"><span class="hljs-tag">&lt;<span class="hljs-name">van-tree-select</span>\n  <span class="hljs-attr">v-model:main-active-index</span>=<span class="hljs-string">&quot;activeIndex&quot;</span>\n  <span class="hljs-attr">height</span>=<span class="hljs-string">&quot;55vw&quot;</span>\n  <span class="hljs-attr">:items</span>=<span class="hljs-string">&quot;items&quot;</span>\n&gt;</span>\n  <span class="hljs-tag">&lt;<span class="hljs-name">template</span> #<span class="hljs-attr">content</span>&gt;</span>\n    <span class="hljs-tag">&lt;<span class="hljs-name">van-image</span>\n      <span class="hljs-attr">v-if</span>=<span class="hljs-string">&quot;activeIndex === 0&quot;</span>\n      <span class="hljs-attr">src</span>=<span class="hljs-string">&quot;https://fastly.jsdelivr.net/npm/@vant/assets/apple-1.jpeg&quot;</span>\n    /&gt;</span>\n    <span class="hljs-tag">&lt;<span class="hljs-name">van-image</span>\n      <span class="hljs-attr">v-if</span>=<span class="hljs-string">&quot;activeIndex === 1&quot;</span>\n      <span class="hljs-attr">src</span>=<span class="hljs-string">&quot;https://fastly.jsdelivr.net/npm/@vant/assets/apple-2.jpeg&quot;</span>\n    /&gt;</span>\n  <span class="hljs-tag">&lt;/<span class="hljs-name">template</span>&gt;</span>\n<span class="hljs-tag">&lt;/<span class="hljs-name">van-tree-select</span>&gt;</span>\n</code></pre>\n<pre><code class="language-js"><span class="hljs-keyword">import</span> { ref } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;vue&#x27;</span>;\n\n<span class="hljs-keyword">export</span> <span class="hljs-keyword">default</span> {\n  <span class="hljs-title function_">setup</span>(<span class="hljs-params"></span>) {\n    <span class="hljs-keyword">const</span> activeIndex = <span class="hljs-title function_">ref</span>(<span class="hljs-number">0</span>);\n    <span class="hljs-keyword">return</span> {\n      activeIndex,\n      <span class="hljs-attr">items</span>: [{ <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Group 1&#x27;</span> }, { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Group 2&#x27;</span> }],\n    };\n  },\n};\n</code></pre>\n</div><div class="van-doc-card"><h3 id="show-badge" tabindex="-1">Show Badge</h3>\n<pre><code class="language-html"><span class="hljs-tag">&lt;<span class="hljs-name">van-tree-select</span>\n  <span class="hljs-attr">v-model:main-active-index</span>=<span class="hljs-string">&quot;activeIndex&quot;</span>\n  <span class="hljs-attr">height</span>=<span class="hljs-string">&quot;55vw&quot;</span>\n  <span class="hljs-attr">:items</span>=<span class="hljs-string">&quot;items&quot;</span>\n/&gt;</span>\n</code></pre>\n<pre><code class="language-js"><span class="hljs-keyword">import</span> { ref } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;vue&#x27;</span>;\n\n<span class="hljs-keyword">export</span> <span class="hljs-keyword">default</span> {\n  <span class="hljs-title function_">setup</span>(<span class="hljs-params"></span>) {\n    <span class="hljs-keyword">const</span> activeIndex = <span class="hljs-title function_">ref</span>(<span class="hljs-number">0</span>);\n    <span class="hljs-keyword">return</span> {\n      activeIndex,\n      <span class="hljs-attr">items</span>: [\n        {\n          <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Group 1&#x27;</span>,\n          <span class="hljs-attr">children</span>: [\n            { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Delaware&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">1</span> },\n            { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Florida&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">2</span> },\n            { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Georgia&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">3</span>, <span class="hljs-attr">disabled</span>: <span class="hljs-literal">true</span> },\n          ],\n          <span class="hljs-attr">dot</span>: <span class="hljs-literal">true</span>,\n        },\n        {\n          <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Group 2&#x27;</span>,\n          <span class="hljs-attr">children</span>: [\n            { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Alabama&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">4</span> },\n            { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Kansas&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">5</span> },\n            { <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Louisiana&#x27;</span>, <span class="hljs-attr">id</span>: <span class="hljs-number">6</span> },\n          ],\n          <span class="hljs-attr">badge</span>: <span class="hljs-number">5</span>,\n        },\n      ],\n    };\n  },\n};\n</code></pre>\n</div><h2 id="api" tabindex="-1">API</h2>\n<div class="van-doc-card"><h3 id="props" tabindex="-1">Props</h3>\n<table>\n<thead>\n<tr>\n<th>Attribute</th>\n<th>Description</th>\n<th>Type</th>\n<th>Default</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>v-model:main-active-index</td>\n<td>The index of selected parent node</td>\n<td><em>number | string</em></td>\n<td><code>0</code></td>\n</tr>\n<tr>\n<td>v-model:active-id</td>\n<td>Id of selected item</td>\n<td><em>number | string |<br>(number | string)[]</em></td>\n<td><code>0</code></td>\n</tr>\n<tr>\n<td>items</td>\n<td>Required datasets for the component</td>\n<td><em>TreeSelectItem[]</em></td>\n<td><code>[]</code></td>\n</tr>\n<tr>\n<td>height</td>\n<td>Height</td>\n<td><em>number | string</em></td>\n<td><code>300</code></td>\n</tr>\n<tr>\n<td>max</td>\n<td>Maximum number of selected items</td>\n<td><em>number | string</em></td>\n<td><code>Infinity</code></td>\n</tr>\n<tr>\n<td>selected-icon</td>\n<td>Selected icon</td>\n<td><em>string</em></td>\n<td><code>success</code></td>\n</tr>\n</tbody>\n</table>\n</div><div class="van-doc-card"><h3 id="events" tabindex="-1">Events</h3>\n<table>\n<thead>\n<tr>\n<th>Event</th>\n<th>Description</th>\n<th>Arguments</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>click-nav</td>\n<td>Emitted when parent node is selected</td>\n<td><em>index: number</em></td>\n</tr>\n<tr>\n<td>click-item</td>\n<td>Emitted when item is selected</td>\n<td><em>item: TreeSelectChild</em></td>\n</tr>\n</tbody>\n</table>\n</div><div class="van-doc-card"><h3 id="slots" tabindex="-1">Slots</h3>\n<table>\n<thead>\n<tr>\n<th>Name</th>\n<th>Description</th>\n<th>SlotProps</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>nav-text <code>v4.1.0</code></td>\n<td>Custom name of the parent node</td>\n<td><em>item: TreeSelectChild</em></td>\n</tr>\n<tr>\n<td>content</td>\n<td>Custom right content</td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n</div><div class="van-doc-card"><h3 id="data-structure-of-treeselectitem" tabindex="-1">Data Structure of TreeSelectItem</h3>\n<p><code>TreeSelectItem</code> should be an array contains specified tree objects.</p>\n<p>In every tree object, <code>text</code> property defines <code>id</code> stands for the unique key while the <code>children</code> contains sub-tree objects.</p>\n<pre><code class="language-js">[\n  {\n    <span class="hljs-comment">// name of the parent node</span>\n    <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Group 1&#x27;</span>,\n    <span class="hljs-comment">// badge</span>\n    <span class="hljs-attr">badge</span>: <span class="hljs-number">3</span>,\n    <span class="hljs-comment">// Whether to show red dot</span>\n    <span class="hljs-attr">dot</span>: <span class="hljs-literal">true</span>,\n    <span class="hljs-comment">// ClassName of parent node</span>\n    <span class="hljs-attr">className</span>: <span class="hljs-string">&#x27;my-class&#x27;</span>,\n    <span class="hljs-comment">// leaves of this parent node</span>\n    <span class="hljs-attr">children</span>: [\n      {\n        <span class="hljs-comment">// name of the leaf node</span>\n        <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Washington&#x27;</span>,\n        <span class="hljs-comment">// id of the leaf node, component highlights leaf node by comparing the activeId with this.</span>\n        <span class="hljs-attr">id</span>: <span class="hljs-number">1</span>,\n        <span class="hljs-comment">// disable options</span>\n        <span class="hljs-attr">disabled</span>: <span class="hljs-literal">true</span>,\n      },\n      {\n        <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Baltimore&#x27;</span>,\n        <span class="hljs-attr">id</span>: <span class="hljs-number">2</span>,\n      },\n    ],\n  },\n];\n</code></pre>\n</div><div class="van-doc-card"><h3 id="types" tabindex="-1">Types</h3>\n<p>The component exports the following type definitions:</p>\n<pre><code class="language-ts"><span class="hljs-keyword">import</span> <span class="hljs-keyword">type</span> { <span class="hljs-title class_">TreeSelectItem</span>, <span class="hljs-title class_">TreeSelectChild</span>, <span class="hljs-title class_">TreeSelectProps</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;vant&#x27;</span>;\n</code></pre>\n</div><h2 id="theming" tabindex="-1">Theming</h2>\n<div class="van-doc-card"><h3 id="css-variables" tabindex="-1">CSS Variables</h3>\n<p>The component provides the following CSS variables, which can be used to customize styles. Please refer to <a href="#/en-US/config-provider" target="_blank">ConfigProvider component</a>.</p>\n<table>\n<thead>\n<tr>\n<th>Name</th>\n<th>Default Value</th>\n<th>Description</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>--van-tree-select-font-size</td>\n<td><em>var(--van-font-size-md)</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-tree-select-nav-background</td>\n<td><em>var(--van-background)</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-tree-select-content-background</td>\n<td><em>var(--van-background-2)</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-tree-select-nav-item-padding</td>\n<td><em>14px var(--van-padding-sm)</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-tree-select-item-height</td>\n<td><em>48px</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-tree-select-item-active-color</td>\n<td><em>var(--van-primary-color)</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-tree-select-item-disabled-color</td>\n<td><em>var(--van-gray-5)</em></td>\n<td>-</td>\n</tr>\n<tr>\n<td>--van-tree-select-item-selected-size</td>\n<td><em>16px</em></td>\n<td>-</td>\n</tr>\n</tbody>\n</table>\n</div>'},null,8,e))}}}]);